expertiza/expertiza

View on GitHub
Gemfile.lock

Summary

Maintainability
Test Coverage
GIT
  remote: https://github.com/Winbobob/danger.git
  revision: a2fe557209879642615473ee9919788fc650be75
  ref: a2fe557209879642615473ee9919788fc650be75
  specs:
    danger (5.16.1)
      claide (~> 1.0)
      claide-plugins (>= 0.9.2)
      colored2 (~> 3.1)
      cork (~> 0.1)
      faraday (~> 0.9)
      faraday-http-cache (~> 1.0)
      git (~> 1.5)
      kramdown (~> 1.5)
      no_proxy_fix
      octokit (~> 4.7)
      terminal-table (~> 1)

GIT
  remote: https://github.com/expertiza/authlogic.git
  revision: d678b39a6d050a1804edc6ed16c025441a9a195b
  specs:
    expertiza-authlogic (3.4.6)
      activerecord (>= 3.2)
      activesupport (>= 3.2)
      request_store (~> 1.0)
      scrypt (>= 1.2, < 3.0)

GEM
  remote: https://rubygems.org/
  specs:
    RedCloth (4.3.2)
    abstract_type (0.0.7)
    actionmailer (4.2.11.1)
      actionpack (= 4.2.11.1)
      actionview (= 4.2.11.1)
      activejob (= 4.2.11.1)
      mail (~> 2.5, >= 2.5.4)
      rails-dom-testing (~> 1.0, >= 1.0.5)
    actionpack (4.2.11.1)
      actionview (= 4.2.11.1)
      activesupport (= 4.2.11.1)
      rack (~> 1.6)
      rack-test (~> 0.6.2)
      rails-dom-testing (~> 1.0, >= 1.0.5)
      rails-html-sanitizer (~> 1.0, >= 1.0.2)
    actionview (4.2.11.1)
      activesupport (= 4.2.11.1)
      builder (~> 3.1)
      erubis (~> 2.7.0)
      rails-dom-testing (~> 1.0, >= 1.0.5)
      rails-html-sanitizer (~> 1.0, >= 1.0.3)
    activejob (4.2.11.1)
      activesupport (= 4.2.11.1)
      globalid (>= 0.3.0)
    activemodel (4.2.11.1)
      activesupport (= 4.2.11.1)
      builder (~> 3.1)
    activerecord (4.2.11.1)
      activemodel (= 4.2.11.1)
      activesupport (= 4.2.11.1)
      arel (~> 6.0)
    activerecord-session_store (1.1.0)
      actionpack (>= 4.0, < 5.2)
      activerecord (>= 4.0, < 5.2)
      multi_json (~> 1.11, >= 1.11.2)
      rack (>= 1.5.2, < 3)
      railties (>= 4.0, < 5.2)
    activesupport (4.2.11.1)
      i18n (~> 0.7)
      minitest (~> 5.1)
      thread_safe (~> 0.3, >= 0.3.4)
      tzinfo (~> 1.1)
    adamantium (0.2.0)
      ice_nine (~> 0.11.0)
      memoizable (~> 0.4.0)
    addressable (2.5.2)
      public_suffix (>= 2.0.2, < 4.0)
    airbrake (7.2.0)
      airbrake-ruby (~> 2.5)
    airbrake-ruby (2.8.1)
    airbrussh (1.3.0)
      sshkit (>= 1.6.1, != 1.7.0)
    anima (0.3.0)
      abstract_type (~> 0.0.7)
      adamantium (~> 0.2)
      equalizer (~> 0.0.11)
    arel (6.0.4)
    ast (2.4.0)
    awesome_nested_set (3.1.3)
      activerecord (>= 4.0.0, < 5.2)
    babel-source (5.8.35)
    babel-transpiler (0.7.0)
      babel-source (>= 4.0, < 6)
      execjs (~> 2.0)
    bind-it (0.2.7)
      rjb (~> 1.4.3)
    builder (3.2.3)
    capistrano (3.10.1)
      airbrussh (>= 1.0.0)
      i18n
      rake (>= 10.0.0)
      sshkit (>= 1.9.0)
    capistrano-bundler (1.3.0)
      capistrano (~> 3.1)
      sshkit (~> 1.2)
    capistrano-db-tasks (0.6)
      capistrano (>= 3.0.0)
    capistrano-passenger (0.2.0)
      capistrano (~> 3.0)
    capistrano-rails (1.3.1)
      capistrano (~> 3.1)
      capistrano-bundler (~> 1.1)
    capistrano-rvm (0.1.2)
      capistrano (~> 3.0)
      sshkit (~> 1.2)
    capybara (2.17.0)
      addressable
      mini_mime (>= 0.1.3)
      nokogiri (>= 1.3.3)
      rack (>= 1.0.0)
      rack-test (>= 0.5.4)
      xpath (>= 2.0, < 4.0)
    chartjs-ror (3.6.2)
      rails (>= 3.1)
    childprocess (0.8.0)
      ffi (~> 1.0, >= 1.0.11)
    claide (1.0.3)
    claide-plugins (0.9.2)
      cork
      nap
      open4 (~> 1.3)
    coderay (1.1.2)
    coffee-rails (4.2.2)
      coffee-script (>= 2.2.0)
      railties (>= 4.0.0)
    coffee-script (2.4.1)
      coffee-script-source
      execjs
    coffee-script-source (1.12.2)
    colored2 (3.1.2)
    concord (0.1.5)
      adamantium (~> 0.2.0)
      equalizer (~> 0.0.9)
    concurrent-ruby (1.1.5)
    connection_pool (2.2.1)
    cork (0.3.0)
      colored2 (~> 3.1)
    coveralls (0.8.21)
      json (>= 1.8, < 3)
      simplecov (~> 0.14.1)
      term-ansicolor (~> 1.3)
      thor (~> 0.19.4)
      tins (~> 1.6)
    crass (1.0.4)
    daemons (1.2.6)
    database_cleaner (1.6.2)
    delayed_job (4.1.4)
      activesupport (>= 3.0, < 5.2)
    delayed_job_active_record (4.1.2)
      activerecord (>= 3.0, < 5.2)
      delayed_job (>= 3.0, < 5)
    diff-lcs (1.3)
    docile (1.1.5)
    domain_name (0.5.20170404)
      unf (>= 0.0.5, < 1.0.0)
    dynamic_form (1.1.4)
    edavis10-ruby-web-search (0.0.2)
      json
    engtagger (0.2.1)
    equalizer (0.0.11)
    erubis (2.7.0)
    eventmachine (1.2.5)
    execjs (2.7.0)
    factory_bot (4.8.2)
      activesupport (>= 3.0.0)
    factory_bot_rails (4.8.2)
      factory_bot (~> 4.8.2)
      railties (>= 3.0.0)
    faraday (0.12.2)
      multipart-post (>= 1.2, < 3)
    faraday-http-cache (1.3.1)
      faraday (~> 0.8)
    fastercsv (1.5.5)
    ffi (1.9.25)
    ffi-compiler (1.0.1)
      ffi (>= 1.0.0)
      rake
    font-awesome-rails (4.7.0.3)
      railties (>= 3.2, < 5.2)
    foreman (0.85.0)
      thor (~> 0.19.1)
    formatador (0.2.5)
    gchartrb (0.8)
    gdata (1.1.2)
    gherkin (5.0.0)
    git (1.7.0)
      rchardet (~> 1.8)
    globalid (0.4.2)
      activesupport (>= 4.2.0)
    googlecharts (1.6.12)
    guard (2.14.2)
      formatador (>= 0.2.4)
      listen (>= 2.7, < 4.0)
      lumberjack (>= 1.0.12, < 2.0)
      nenv (~> 0.1)
      notiffany (~> 0.0)
      pry (>= 0.9.12)
      shellany (~> 0.0)
      thor (>= 0.18.1)
    guard-compat (1.2.1)
    guard-rails (0.8.1)
      guard (~> 2.11)
      guard-compat (~> 1.0)
    guard-rspec (4.7.3)
      guard (~> 2.1)
      guard-compat (~> 1.1)
      rspec (>= 2.99.0, < 4.0)
    haml (5.0.4)
      temple (>= 0.8.0)
      tilt
    haml-rails (1.0.0)
      actionpack (>= 4.0.1)
      activesupport (>= 4.0.1)
      haml (>= 4.0.6, < 6.0)
      html2haml (>= 1.0.1)
      railties (>= 4.0.1)
    hashie (3.5.7)
    html2haml (2.2.0)
      erubis (~> 2.7.0)
      haml (>= 4.0, < 6)
      nokogiri (>= 1.6.0)
      ruby_parser (~> 3.5)
    http-cookie (1.0.3)
      domain_name (~> 0.5)
    i18n (0.9.5)
      concurrent-ruby (~> 1.0)
    ice_nine (0.11.2)
    jquery-colorbox-rails (1.7.0)
      railties (>= 3.1)
    jquery-datetimepicker-rails (2.4.1.0)
    jquery-rails (4.3.1)
      rails-dom-testing (>= 1, < 3)
      railties (>= 4.2.0)
      thor (>= 0.14, < 2.0)
    jquery-tablesorter (1.24.4)
      railties (>= 3.2, < 6)
    jquery-ui-rails (4.0.3)
      jquery-rails
      railties (>= 3.1.0)
    jquery-ui-sass-rails (4.0.3.0)
      jquery-rails
      jquery-ui-rails (= 4.0.3)
      railties (>= 3.1.0)
    json (2.2.0)
    jwt (1.5.6)
    kramdown (1.17.0)
    launchy (2.4.3)
      addressable (~> 2.3)
    lazy_priority_queue (0.1.1)
    libv8 (3.16.14.19)
    lingua (0.6.2)
    listen (3.1.5)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
      ruby_dep (~> 1.2)
    loofah (2.2.3)
      crass (~> 1.0.2)
      nokogiri (>= 1.5.9)
    lumberjack (1.0.12)
    mail (2.7.1)
      mini_mime (>= 0.1.1)
    memoizable (0.4.2)
      thread_safe (~> 0.3, >= 0.3.1)
    method_source (0.8.2)
    mime-types (2.99.3)
    mini_mime (1.0.1)
    mini_portile2 (2.4.0)
    minitest (5.11.3)
    morpher (0.2.6)
      abstract_type (~> 0.0.7)
      adamantium (~> 0.2.0)
      anima (~> 0.3.0)
      ast (~> 2.2)
      concord (~> 0.1.5)
      equalizer (~> 0.0.9)
      ice_nine (~> 0.11.0)
      procto (~> 0.0.2)
    multi_json (1.13.1)
    multi_xml (0.6.0)
    multipart-post (2.0.0)
    mutant (0.8.14)
      abstract_type (~> 0.0.7)
      adamantium (~> 0.2.0)
      anima (~> 0.3.0)
      ast (~> 2.2)
      concord (~> 0.1.5)
      diff-lcs (~> 1.3)
      equalizer (~> 0.0.9)
      ice_nine (~> 0.11.1)
      memoizable (~> 0.4.2)
      morpher (~> 0.2.6)
      parallel (~> 1.3)
      parser (>= 2.3.1.4, < 2.5)
      procto (~> 0.0.2)
      regexp_parser (~> 0.4.3)
      unparser (~> 0.2.5)
    mutant-rspec (0.8.14)
      mutant (~> 0.8.14)
      rspec-core (>= 3.4.0, < 3.7.0)
    mysql2 (0.4.10)
    nap (1.1.0)
    nenv (0.3.0)
    net-scp (1.2.1)
      net-ssh (>= 2.6.5)
    net-ssh (4.2.0)
    netrc (0.11.0)
    no_proxy_fix (0.1.2)
    nokogiri (1.9.1)
      mini_portile2 (~> 2.4.0)
    notiffany (0.1.1)
      nenv (~> 0.1)
      shellany (~> 0.0)
    oauth2 (1.4.0)
      faraday (>= 0.8, < 0.13)
      jwt (~> 1.0)
      multi_json (~> 1.3)
      multi_xml (~> 0.5)
      rack (>= 1.2, < 3)
    octokit (4.18.0)
      faraday (>= 0.9)
      sawyer (~> 0.8.0, >= 0.5.3)
    omniauth (1.8.1)
      hashie (>= 3.4.6, < 3.6.0)
      rack (>= 1.6.2, < 3)
    omniauth-google-oauth2 (0.2.10)
      addressable (~> 2.3)
      jwt (~> 1.0)
      multi_json (~> 1.3)
      omniauth (>= 1.1.1)
      omniauth-oauth2 (~> 1.3.1)
    omniauth-oauth2 (1.3.1)
      oauth2 (~> 1.0)
      omniauth (~> 1.2)
    open-uri-cached (0.0.5)
    open4 (1.3.4)
    paper_trail (8.1.2)
      activerecord (>= 4.2, < 5.2)
      request_store (~> 1.1)
    parallel (1.12.1)
    parser (2.4.0.2)
      ast (~> 2.3)
    powerpack (0.1.1)
    pragmatic_segmenter (0.3.17)
      unicode
    procto (0.0.3)
    protected_attributes (1.1.4)
      activemodel (>= 4.0.1, < 5.0)
    pry (0.10.4)
      coderay (~> 1.1.0)
      method_source (~> 0.8.1)
      slop (~> 3.4)
    pry-nav (0.2.4)
      pry (>= 0.9.10, < 0.11.0)
    pry-remote (0.1.8)
      pry (~> 0.9)
      slop (~> 3.0)
    public_suffix (3.0.1)
    quiet_assets (1.1.0)
      railties (>= 3.1, < 5.0)
    rack (1.6.11)
    rack-protection (2.0.5)
      rack
    rack-test (0.6.3)
      rack (>= 1.0)
    rails (4.2.11.1)
      actionmailer (= 4.2.11.1)
      actionpack (= 4.2.11.1)
      actionview (= 4.2.11.1)
      activejob (= 4.2.11.1)
      activemodel (= 4.2.11.1)
      activerecord (= 4.2.11.1)
      activesupport (= 4.2.11.1)
      bundler (>= 1.3.0, < 2.0)
      railties (= 4.2.11.1)
      sprockets-rails
    rails-deprecated_sanitizer (1.0.3)
      activesupport (>= 4.2.0.alpha)
    rails-dom-testing (1.0.9)
      activesupport (>= 4.2.0, < 5.0)
      nokogiri (~> 1.6)
      rails-deprecated_sanitizer (>= 1.0.1)
    rails-html-sanitizer (1.0.4)
      loofah (~> 2.2, >= 2.2.2)
    rails4-autocomplete (1.1.1)
      rails (>= 3.0)
    railties (4.2.11.1)
      actionpack (= 4.2.11.1)
      activesupport (= 4.2.11.1)
      rake (>= 0.8.7)
      thor (>= 0.18.1, < 2.0)
    rainbow (3.0.0)
    rake (12.3.2)
    rb-fsevent (0.10.2)
    rb-inotify (0.9.10)
      ffi (>= 0.5.0, < 2)
    rb-readline (0.5.5)
    rchardet (1.8.0)
    react-rails (1.11.0)
      babel-transpiler (>= 0.7.0)
      connection_pool
      execjs
      railties (>= 3.2)
      tilt
    recaptcha (4.6.4)
      json
    redis (4.0.1)
    redis-actionpack (5.0.2)
      actionpack (>= 4.0, < 6)
      redis-rack (>= 1, < 3)
      redis-store (>= 1.1.0, < 2)
    redis-activesupport (5.0.4)
      activesupport (>= 3, < 6)
      redis-store (>= 1.3, < 2)
    redis-namespace (1.6.0)
      redis (>= 3.0.4)
    redis-rack (2.0.4)
      rack (>= 1.5, < 3)
      redis-store (>= 1.2, < 2)
    redis-rails (5.0.2)
      redis-actionpack (>= 5.0, < 6)
      redis-activesupport (>= 5.0, < 6)
      redis-store (>= 1.2, < 2)
    redis-store (1.4.1)
      redis (>= 2.2, < 5)
    ref (2.0.0)
    regexp_parser (0.4.9)
    request_store (1.4.0)
      rack (>= 1.4)
    rest-client (1.8.0)
      http-cookie (>= 1.0.2, < 2.0)
      mime-types (>= 1.16, < 3.0)
      netrc (~> 0.7)
    rgl (0.5.3)
      lazy_priority_queue (~> 0.1.0)
      stream (~> 0.5.0)
    rjb (1.4.9)
    rspec (3.6.0)
      rspec-core (~> 3.6.0)
      rspec-expectations (~> 3.6.0)
      rspec-mocks (~> 3.6.0)
    rspec-core (3.6.0)
      rspec-support (~> 3.6.0)
    rspec-expectations (3.6.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.6.0)
    rspec-mocks (3.6.0)
      diff-lcs (>= 1.2.0, < 2.0)
      rspec-support (~> 3.6.0)
    rspec-rails (3.6.1)
      actionpack (>= 3.0)
      activesupport (>= 3.0)
      railties (>= 3.0)
      rspec-core (~> 3.6.0)
      rspec-expectations (~> 3.6.0)
      rspec-mocks (~> 3.6.0)
      rspec-support (~> 3.6.0)
    rspec-support (3.6.0)
    rubocop (0.52.1)
      parallel (~> 1.10)
      parser (>= 2.4.0.2, < 3.0)
      powerpack (~> 0.1)
      rainbow (>= 2.2.2, < 4.0)
      ruby-progressbar (~> 1.7)
      unicode-display_width (~> 1.0, >= 1.0.1)
    ruby-progressbar (1.9.0)
    ruby_dep (1.5.0)
    ruby_parser (3.10.1)
      sexp_processor (~> 4.9)
    rubyzip (1.2.2)
    rwordnet (0.1.3)
    sass (3.5.5)
      sass-listen (~> 4.0.0)
    sass-listen (4.0.0)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
    sass-rails (5.0.7)
      railties (>= 4.0.0, < 6)
      sass (~> 3.1)
      sprockets (>= 2.8, < 4.0)
      sprockets-rails (>= 2.0, < 4.0)
      tilt (>= 1.1, < 3)
    sawyer (0.8.2)
      addressable (>= 2.3.5)
      faraday (> 0.8, < 2.0)
    scrypt (2.1.1)
      ffi-compiler (>= 0.0.2)
      rake
    seer (0.10.0)
    selenium-webdriver (3.8.0)
      childprocess (~> 0.5)
      rubyzip (~> 1.0)
    sexp_processor (4.10.0)
    shellany (0.0.1)
    shoulda (3.5.0)
      shoulda-context (~> 1.0, >= 1.0.1)
      shoulda-matchers (>= 1.4.1, < 3.0)
    shoulda-context (1.2.2)
    shoulda-matchers (2.8.0)
      activesupport (>= 3.0.0)
    sidekiq (5.1.3)
      concurrent-ruby (~> 1.0)
      connection_pool (~> 2.2, >= 2.2.0)
      rack-protection (>= 1.5.0)
      redis (>= 3.3.5, < 5)
    simplecov (0.14.1)
      docile (~> 1.1.0)
      json (>= 1.8, < 3)
      simplecov-html (~> 0.10.0)
    simplecov-html (0.10.2)
    slop (3.6.0)
    sprockets (3.7.2)
      concurrent-ruby (~> 1.0)
      rack (> 1, < 3)
    sprockets-rails (3.2.1)
      actionpack (>= 4.0)
      activesupport (>= 4.0)
      sprockets (>= 3.0.0)
    sshkit (1.15.1)
      net-scp (>= 1.1.2)
      net-ssh (>= 2.8.0)
    stanford-core-nlp (0.5.3)
      bind-it (~> 0.2.7)
    stream (0.5)
    superfish-rails (1.6.0.1)
    temple (0.8.0)
    term-ansicolor (1.6.0)
      tins (~> 1.0)
    terminal-table (1.8.0)
      unicode-display_width (~> 1.1, >= 1.1.1)
    therubyracer (0.12.3)
      libv8 (~> 3.16.14.15)
      ref
    thin (1.7.2)
      daemons (~> 1.0, >= 1.0.9)
      eventmachine (~> 1.0, >= 1.0.4)
      rack (>= 1, < 3)
    thor (0.19.4)
    thread_safe (0.3.6)
    tilt (2.0.8)
    timecop (0.8.1)
    tins (1.16.3)
    tinymce-rails (4.4.3)
      railties (>= 3.1.1)
    tzinfo (1.2.5)
      thread_safe (~> 0.1)
    uglifier (4.1.5)
      execjs (>= 0.3.0, < 3)
    unf (0.1.4)
      unf_ext
    unf_ext (0.0.7.4)
    unicode (0.4.4.4)
    unicode-display_width (1.3.0)
    unparser (0.2.6)
      abstract_type (~> 0.0.7)
      adamantium (~> 0.2.0)
      concord (~> 0.1.5)
      diff-lcs (~> 1.3)
      equalizer (~> 0.0.9)
      parser (>= 2.3.1.2, < 2.5)
      procto (~> 0.0.2)
    will_paginate (3.1.6)
    xpath (3.0.0)
      nokogiri (~> 1.8)
    zip-zip (0.3)
      rubyzip (>= 1.0.0)

PLATFORMS
  ruby

DEPENDENCIES
  RedCloth
  activerecord-session_store
  activesupport (~> 4.2.11.1)
  airbrake
  awesome_nested_set
  bind-it
  capistrano
  capistrano-bundler
  capistrano-db-tasks
  capistrano-passenger
  capistrano-rails
  capistrano-rvm
  capybara
  chartjs-ror
  coffee-rails
  coveralls
  daemons
  danger!
  database_cleaner
  delayed_job_active_record
  dynamic_form
  edavis10-ruby-web-search
  engtagger
  expertiza-authlogic!
  factory_bot_rails
  fastercsv
  font-awesome-rails
  foreman
  gchartrb
  gdata
  gherkin
  googlecharts
  guard-rails
  guard-rspec
  haml-rails
  jquery-colorbox-rails
  jquery-datetimepicker-rails
  jquery-rails
  jquery-tablesorter
  jquery-ui-sass-rails
  json
  launchy
  lingua
  mutant-rspec
  mysql2
  nokogiri
  omniauth-google-oauth2
  open-uri-cached
  paper_trail
  pragmatic_segmenter
  protected_attributes
  pry
  pry-nav
  pry-remote
  quiet_assets
  rails (~> 4.2.11.1)
  rails4-autocomplete
  rake
  rb-readline
  react-rails
  recaptcha
  redis-namespace
  redis-rails
  rest-client
  rgl
  rjb
  rspec-rails
  rubocop
  rubyzip
  rwordnet
  sass-rails
  scrypt
  seer
  selenium-webdriver
  shoulda
  sidekiq
  simplecov
  sprockets
  stanford-core-nlp
  superfish-rails
  therubyracer
  thin
  timecop
  tinymce-rails
  uglifier
  will_paginate
  zip-zip

BUNDLED WITH
   1.16.2